Page MenuHomePhabricator

Sort unit test failures by name
ClosedPublic

Authored by vharron on Oct 21 2014, 9:32 PM.

Details

Reviewers
clayborg
sbest
Summary

Running tests on different platforms or with different numbers of threads can result in different sorting for the same set of failures. This makes comparing failures more difficult. This patch sorts test failures by test name.

Diff Detail

Event Timeline

vharron updated this revision to Diff 15231.Oct 21 2014, 9:32 PM
vharron retitled this revision from to Sort unit test failures by name.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added a reviewer: clayborg.
vharron added a subscriber: Unknown Object (MLST).
clayborg accepted this revision.Oct 22 2014, 10:00 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.Oct 22 2014, 10:00 AM

Shawn, can you submit?

sbest edited edge metadata.Oct 22 2014, 12:43 PM

Done, landed in r220406

vharron closed this revision.Nov 19 2014, 2:03 PM